# coding: utf-8

"""
    OpenAPI definition

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: v0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from java_api_python_client.models.create_update_recipe_dto import CreateUpdateRecipeDto

class TestCreateUpdateRecipeDto(unittest.TestCase):
    """CreateUpdateRecipeDto unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> CreateUpdateRecipeDto:
        """Test CreateUpdateRecipeDto
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `CreateUpdateRecipeDto`
        """
        model = CreateUpdateRecipeDto()
        if include_optional:
            return CreateUpdateRecipeDto(
                title = '012345',
                content = '0123456789',
                yield_quantity = 1,
                measures = [
                    java_api_python_client.models.create_update_measure_dto.CreateUpdateMeasureDto(
                        ingredient_id = '', 
                        unit_id = '', 
                        quantity = 1.337, )
                    ],
                picture_ids = [
                    ''
                    ],
                link = ''
            )
        else:
            return CreateUpdateRecipeDto(
                title = '012345',
                content = '0123456789',
                yield_quantity = 1,
                measures = [
                    java_api_python_client.models.create_update_measure_dto.CreateUpdateMeasureDto(
                        ingredient_id = '', 
                        unit_id = '', 
                        quantity = 1.337, )
                    ],
        )
        """

    def testCreateUpdateRecipeDto(self):
        """Test CreateUpdateRecipeDto"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
